Bug 202424 - Review Request: trackballs-music - In-game music for Trackballs
Review Request: trackballs-music - In-game music for Trackballs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On: 202423
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-14 08:06 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 15:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-14 08:06:32 EDT
Spec URL: http://people.atrpms.net/~hdegoede/trackballs-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/trackballs-music-1.2-1.src.rpm
Description:
Some great music to listen to while playing Trackballs.
Comment 1 Wart 2006-08-14 19:53:41 EDT
The only reference I've been able to find for a license for the music files is a
general "GPL" tag on the sourceforge project page, which probably explains the
License: GPL in the spec file.  Have you found any other license info that's
specific to the game's music files, as GPL seems a bit odd for music files.
Comment 2 Hans de Goede 2006-08-15 06:41:06 EDT
(In reply to comment #1)
> The only reference I've been able to find for a license for the music files is a
> general "GPL" tag on the sourceforge project page, which probably explains the
> License: GPL in the spec file.  Have you found any other license info that's
> specific to the game's music files, as GPL seems a bit odd for music files.

You're right, I've just send a mail asking upstream and will let you know the
result.
Comment 3 Hans de Goede 2006-08-15 13:53:15 EDT
Good news, I got a repsonse from upstream and the music really is GPL:

---

Hi Hans,

I agree with you that having a GPL licence is a bit odd for binary
data but since this was not a question if had thought of very hard
when the first release of trackballs was made several years ago this
is the licence i choose for the whole project (including music, sfx,
levels and music). Also, since the music files have been contributed
to the project by others than me under the GPL licence (as I
explicitly asked for) it makes it very difficult for me change this.
So, in short, yes the music is also licensed under the GPL license.

I hope this does not pose any difficult question such as "what/where
is the sourcecode for the music..."

cheers

/ Mathias
Comment 4 Wart 2006-08-15 13:59:15 EDT
GOOD
====
* rpmlint output, which can be safely ignored:
W: trackballs-music no-documentation
* Package/spec named appropriately
* Spec file legible and in Am. English
* Source matches upstream:
  5a8911006ca2be3b3571875ce34a5105  tb_design.ogg
  2d254de734c8d1c07ebd0c8d6fb893c0  tb_genesis.ogg
  ab033eac91054ed9700f6e0a8e2f1280  tb_hrluebke.ogg
  5a968fb86cc43fa08bbe323b63d0a457  tb_plinkeplanke.ogg
* Contains no code, but acceptable game content
* No need for -doc subpackage
* No need for -devel subpackage
* No need for a .desktop file
* Package does not need to own any directories
* File permissions ok
* Package works as expected when installed with the game

SHOULD
======
* You can prevent unneeded copying of the files by removing the 'cp'
  commands from %prep and using 'install -p -m 644 %{SOURCE0} %{SOURCE1} ...'
  in %install.

There's not too much to review here.  The confirmation of the GPL license from
the author is good enough for me.

APPROVED
Comment 5 Hans de Goede 2006-08-15 15:29:31 EDT
(In reply to comment #4)
> SHOULD
> ======
> * You can prevent unneeded copying of the files by removing the 'cp'
>   commands from %prep and using 'install -p -m 644 %{SOURCE0} %{SOURCE1} ...'
>   in %install.
> 

Good idea, done.

> 
> APPROVED

Thanks!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.